=== debian/changelog ===
syslinux-legacy (2:3.63+dfsg-2ubuntu8) wily; urgency=medium

  * Build com32 using -fgnu89-inline for GCC 5.
  * Convert to dpkg 3.0 package format.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 06 Oct 2015 04:31:46 +0200

syslinux-legacy (2:3.63+dfsg-2ubuntu6) vivid; urgency=medium

  * Build using -fgnu89-inline for GCC 5.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 06 Mar 2015 17:37:24 +0100

syslinux-legacy (2:3.63+dfsg-2ubuntu5) precise; urgency=low

  [ Colin Watson ]
  * This package is just for usb-creator, so strip down to only what
    usb-creator needs, i.e. syslinux and mbr.bin.  423KB vs. 48KB (on i386)
    is a noticeable difference.

 -- Evan Dandrea <ev@ubuntu.com>  Mon, 16 Apr 2012 14:27:48 +0100

syslinux-legacy (2:3.63+dfsg-2ubuntu4) precise; urgency=low

  [ Evan Dandrea ]
  * Resurrect syslinux 3.63 as syslinux-legacy, so that we can write
    10.04 and earlier Ubuntu images in later versions (LP: #645818).

  [ Colin Watson ]
  * 15-ubuntu_nasm_2.09.dpatch: Fix build with nasm >= 2.09.

 -- Evan Dandrea <ev@ubuntu.com>  Fri, 16 Mar 2012 10:51:50 +0000

syslinux (2:3.63+dfsg-2ubuntu3) intrepid; urgency=low

  * Drop mtools back to Recommends now that recommended packages are
    installed by default.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 15 Jul 2008 13:39:32 +0100

syslinux (2:3.63+dfsg-2ubuntu2) intrepid; urgency=low

  * 13-ubuntu_com32_gfxboot.dpatch: Turn progress operations into no-ops
    unless gfx_progress_init has been called. Fixes a crash when both com32
    and gfxboot are used, since loading a com32 object calls load_high which
    calls gfx_progress_update.
  * 14-ubuntu_gfxboot_force_prompt.dpatch: Always prompt if a gfxboot menu
    is set up.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 19 Jun 2008 14:55:26 +0100

syslinux (2:3.63+dfsg-2ubuntu1) intrepid; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - debian/control:
      + Build package for lpia.
      + Don't build-depend on mingw32.
      + Depend on mtools.
    - debian/docs:
      + Add README.gfxboot.
    - debian/rules:
      + Make sure add_crc is executable.
      + Regenerate keyword hash.
    - debian/patches/10-ubuntu_makefile.dpatch:
      + Don't build syslinux.exe.
    - debian/patches/11-suse_gfxboot.dpatch
      + Add gfxboot, updated from openSUSE 3.63-13.
    - debian/patches/12-ubuntu_localboot-gfxdone.dpatch:
      + Make sure screen is cleared when using gfxboot.
  * Add descriptions for Ubuntu-specific patches.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 13 Jun 2008 15:41:30 +0100

syslinux (2:3.63+dfsg-2) unstable; urgency=medium

  * Adding patch from Ryan Finnie <ryan@finnie.org> to extend 64bit
    autodetection to vesamenu.c32 (Closes: #485656).
  * Removing watch file.
  * Bumping policy.

 -- Daniel Baumann <daniel@debian.org>  Tue, 10 Jun 2008 21:08:00 +0200

syslinux (2:3.63+dfsg-1) unstable; urgency=high

  * New upstream release:
    - Fixes problem with extlinux, which refuses to boot if there are some
      deleted files on the ext2 filesystem (see upstream changelog for more
      information).

 -- Daniel Baumann <daniel@debian.org>  Thu, 10 Apr 2008 21:17:00 +0200

syslinux (2:3.70~pre8+dfsg-1) experimental; urgency=low

  * New upstream release.

 -- Daniel Baumann <daniel@debian.org>  Mon, 31 Mar 2008 21:33:00 +0200

syslinux (2:3.70~pre7+dfsg-1) experimental; urgency=low

  * New upstream release.

 -- Daniel Baumann <daniel@debian.org>  Mon, 31 Mar 2008 13:42:00 +0200

syslinux (2:3.62+dfsg-2) unstable; urgency=medium

  * Applied patch from morph <matrixhasu@gmail.com> to fix clean target
    (Closes: #424225).

 -- Daniel Baumann <daniel@debian.org>  Sat,  5 Apr 2008 08:02:00 +0200

syslinux (2:3.62+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Rediffed 02-64bit-autodetection.dpatch.
  * Disabled 03-define-clk-tck.dpatch for now, seems to introduce strange
    behaviour with TIMEOUT on pxelinux, needs further investigation.

 -- Daniel Baumann <daniel@debian.org>  Mon, 31 Mar 2008 13:24:00 +0200

syslinux (2:3.61+dfsg-1) unstable; urgency=medium

  * Rebuild upstream tarball without non-free RFC document (Closes: #463930).

 -- Daniel Baumann <daniel@debian.org>  Tue,  5 Feb 2008 07:28:00 +0100

syslinux (2:3.61-1) unstable; urgency=low

  * New upstream release.
  * Bumping package to debhelper 6.

 -- Daniel Baumann <daniel@debian.org>  Mon,  4 Feb 2008 07:16:00 +0100

syslinux (2:3.60-2) experimental; urgency=low

  * Applied update of 02-64bit-autodetection.dpatch from Robert Millan
    <rmh@aybabtu.com> (Closes: #462157).

 -- Daniel Baumann <daniel@debian.org>  Thu, 24 Jan 2008 07:34:00 +0100

syslinux (2:3.55-2) unstable; urgency=medium

  * Applied update of 02-64bit-autodetection.dpatch from Robert Millan
    <rmh@aybabtu.com> (Closes: #462157).

 -- Daniel Baumann <daniel@debian.org>  Tue, 22 Jan 2008 23:21:00 +0100

syslinux (2:3.60-1) experimental; urgency=low

  * New upstream release.

 -- Daniel Baumann <daniel@debian.org>  Sat, 12 Jan 2008 20:04:00 +0100

syslinux (2:3.55-1) unstable; urgency=low

  * New upstream release.
  * Don't hide make errors in clean call of rules.

 -- Daniel Baumann <daniel@debian.org>  Sat, 12 Jan 2008 19:59:00 +0100

syslinux (2:3.60~pre6-1) experimental; urgency=low

  * New upstream release.
  * Removed manpages, went upstream.

 -- Daniel Baumann <daniel@debian.org>  Thu, 20 Dec 2007 08:22:00 +0100

syslinux (2:3.54-1) unstable; urgency=low

  * New upstream release.

 -- Daniel Baumann <daniel@debian.org>  Thu, 13 Dec 2007 09:45:00 +0100

syslinux (2:3.53-1ubuntu2) hardy; urgency=low

  * isolinux.asm: Remove reference to non-existent CD2 (LP: #62950).

 -- Evan Dandrea <evand@ubuntu.com>  Tue, 11 Dec 2007 12:12:38 -0500

syslinux (2:3.53-1ubuntu1) hardy; urgency=low

  * Merge from debian unstable, remaining changes:
    - debian/control:
      + DebianMaintainerField.
      + Build package for lpia.
      + Don't build-depend on mingw32.
    - debian/docs:

