=== debian/control ===
Source: syslinux-legacy
Section: utils
Priority: optional
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Daniel Baumann <daniel@debian.org>
Uploaders: Otavio Salvador <otavio@debian.org>
Build-Depends: debhelper (>= 6), gcc-multilib [amd64], libc6-dev-i386 [amd64], nasm (>= 0.99.06), netpbm, mtools
Standards-Version: 3.9.6
Homepage: http://syslinux.zytor.com/

Package: syslinux-legacy
Architecture: amd64 i386 lpia
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: mtools
Description: Bootloader for Linux/i386 using MS-DOS floppies
 SYSLINUX is a boot loader for the Linux/i386 operating system which operates
 off an MS-DOS/Windows FAT filesystem. It is intended to simplify first-time
 installation of Linux, and for creation of rescue and other special-purpose
 boot disks.
 .
 It can also be used as a PXE bootloader during network boots.
 .
 SYSLINUX is probably not suitable as a general purpose boot loader. However,
 SYSLINUX has shown itself to be quite useful in a number of special-purpose
 applications.
