=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DATE=$(shell date +%Y-%m-%d)
VERSION=$(shell cat version)

upstream:
	rm -f doc/rfc5071.txt

build-arch: build
build-indep: build
build: build-stamp
build-stamp:
	dh_testdir

	# gfxboot
	chmod +x add_crc
	perl genhash.pl < keywords > kwdhash.gen

	# Building package
	$(MAKE) DATE="Debian-$(DATE)" VERSION="$(VERSION)"

	# Building images
	install -d -m 0755 build

	for SIZE in 720 1200 1440 1743; \
	do \
		dd if=/dev/zero of=build/img$${SIZE}k bs=1k count=$$SIZE || exit 1; \
	done

	for DRIVE in a: b: c: d:;\
	do \
		MTOOLSRC=debian/config/mtoolsrc mformat $$DRIVE || exit 1; \
	done

	for SIZE in 720 1200 1440 1743; \
	do \
		mtools/syslinux -s build/img$${SIZE}k || exit 1; \
	done

	gzip -9 build/*

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Cleaning package
	[ ! -f Makefile ] || $(MAKE) clean
	rm -f .depend memdisk/.depend
	rm -f dos/syslinux.com extlinux.bin extlinux.bss extlinux.sys isolinux-debug.bin isolinux.bin ldlinux.bin ldlinux.bss ldlinux.sys memdisk/memdisk memdump/memdump.com pxelinux.0
	rm -rf build
	rm -f man/*-legacy*

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Installing package
	install -d -m 0755 debian/syslinux-legacy/usr/bin
	install -m 0755 mtools/syslinux debian/syslinux-legacy/usr/bin
	# Do not conflict with binaries in the current syslinux package
	for FILE in debian/syslinux-legacy/usr/bin/*; \
	do \
		mv $$FILE $$FILE-legacy; \
	done
    # Or man pages
	for FILE in man/syslinux.1; \
	do \
		cp $$FILE $$(echo $$FILE | sed 's,\(.*\)\.,\1-legacy.,'); \
	done

	install -d -m 0755 debian/syslinux-legacy/usr/lib/syslinux-legacy
	install -m 0644 mbr/mbr.bin debian/syslinux-legacy/usr/lib/syslinux-legacy

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs NEWS
	dh_installdocs
	dh_install
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
